export class VoiceChannelManager {
    protected voiceLobbyChannel: any;
    protected voiceChannelPrefixName: string
    constructor(voiceLobbyChannel: any, voiceChannelPrefixName: string) {
        this.voiceChannelPrefixName = voiceChannelPrefixName;
        this.voiceLobbyChannel = voiceLobbyChannel;
    }
    moveUserToChannel(member: any, roundCount: number) {
        console.log(`Move member ${member} to voice pnp${roundCount}`);
        member.voice.setChannel(
            this.voiceLobbyChannel,
            `your selected pen and paper round ${roundCount}`
        ).then(
            (member: any) => {

            },
            (err: Error) => {
                console.log(err);
            }
        );
    }

    createVoiceChannel(roundCount: number, guild: any) {
        guild.create(this.voiceChannelPrefixName + roundCount.toLocaleString(), "voice");
    }
}